Skip to main content
GET
/
workflows
/
{workflow_id}
[Beta] Get a workflow
curl --request GET \
  --url https://api.open.cx/workflows/{workflow_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.open.cx/workflows/{workflow_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.open.cx/workflows/{workflow_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "workflow_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "is_active": true,
  "trigger_type": "<string>",
  "version_number": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "workflow_blocks": [
    "<unknown>"
  ],
  "trigger_configuration": "<unknown>",
  "webhook_url": "<string>"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workflow_id
string
required

Response

Default Response

id
number
required

Version serial ID

workflow_id
string
required

Workflow UUID (groups all versions of the same workflow)

name
string
required

Workflow name

description
string | null
required

Workflow description

is_active
boolean | null
required

Whether this version is currently active

trigger_type
string
required

Trigger type: "manual-trigger", "ai-trigger", "cron-trigger", "webhook", "form-trigger", or event-based triggers

version_number
number
required

Version number (increments with each edit)

created_at
string<date-time>
required
updated_at
string<date-time>
required
workflow_blocks
any[] | null
required

Workflow step/block definitions

trigger_configuration
any | null
required

Trigger-specific configuration

webhook_url
string | null
required

Trigger URL for webhook-type workflows. Call this URL (POST) to trigger the workflow. Null for non-webhook workflows.